GCLOUD_SQL_INSTANCES_SET-ROOT-PASSWORD(1)

NAME

gcloud sql instances set-root-password - sets the password of the MySQL root user

SYNOPSIS

gcloud sql instances set-root-password INSTANCE [--async] [--password PASSWORD, -p PASSWORD | --password-file PASSWORD_FILE] [GLOBAL-FLAG ...]

DESCRIPTION
Sets the password of the MySQL root user.

POSITIONAL ARGUMENTS
INSTANCE
    Cloud SQL instance ID.

FLAGS
--async
    Display information about the operation in progress and don't wait for the operation to complete.
--password PASSWORD, -p PASSWORD
    The password for the root user. WARNING: Setting password using this option can potentially expose the password to other users of this machine. Instead, you can use --password-file to get the password from a file.
--password-file PASSWORD_FILE
    The path to the filename which has the password to be set. The first line of the file will be interpreted as the password to be set.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.